Format.Field (Java Platform SE 8 )
Keywords: java.text.Format.Field class
Date: 2026-04-17

compact1, compact2, compact3
java.text

## Class Format.Field

- java.lang.Object
- - java.text.AttributedCharacterIterator.Attribute
  - - java.text.Format.Field

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    DateFormat.Field, MessageFormat.Field, NumberFormat.Field
  Enclosing class:
    Format

      public static class Format.Field
      extends AttributedCharacterIterator.Attribute

  Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `Format.formatToCharacterIterator` and as field identifiers in `FieldPosition`.
  Since:
    1.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.text.AttributedCharacterIterator.Attribute

      `INPUT_METHOD_SEGMENT, LANGUAGE, READING`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Field(String name)` Creates a Field with the specified name.

  - ### Method Summary

    - ### Methods inherited from class java.text.AttributedCharacterIterator.Attribute

      `equals, getName, hashCode, readResolve, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Field

          protected Field(String name)

      Creates a Field with the specified name.
      Parameters:
        `name` - Name of the attribute

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.